# CharacterName

Property in [LocalizedLine](/2.2/api/csharp/yarn.unity/yarn.unity.localizedline.md)

## Summary

The name of the character, if present.

```csharp
public string CharacterName
{
            get; }
```

## Remarks

This value will be `null` if the line does not have a character name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.localizedline/yarn.unity.localizedline.charactername.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
